I’m trying to use the Sencha SDK Tools 2 by following the guide at


The first problem is that the example application is not working for me as long as I’m using the sencha-touch-debug.js. If I’m including the sencha-touch-ALL-debug.js the application is running fine. I get the following errors by using the sencha-touch-debug.js:

Also the sencha create jsb command is not working if I’m using the sencha-touch-debug.js (sencha-touch-all-debug.js is working fine).
Is this an mistake in your guide or do I something wrong?

My own project is using phonegap with plugins because I’m using some device capabilities and I’m unable to build the jsb file. I don’t get any error message, but the jsb is looking like this:

    "projectName": "Project Name",
    "licenseText": "Copyright(c) 2011 Company Name",
    "builds": [
            "name": "All Classes",
            "target": "all-classes.js",
            "options": {
                "debug": true
            "files": []
            "name": "Application - Production",
            "target": "app-all.js",
            "compress": true,
            "files": [
                    "path": "",
                    "name": "all-classes.js"
                    "path": "",
                    "name": "app.js"
    "resources": []
Here are my index.html and app.js. Does anyone have some ideas what the problem is?


<!DOCTYPE html>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title>sencha phonegap demo</title>
    <link rel="stylesheet" type="text/css" href="lib/css/sencha-touch.css">
    <link rel="stylesheet" type="text/css" href="lib/css/myStyle.css">
    <script type="text/javascript" src="app/app.js"></script>
    <script type="text/javascript" src="lib/js/phonegap-1.3.0.js"></script>
    <script type="text/javascript" charset="utf-8" src="lib/js/phonegap-nfc-0.2.0.js"></script>
    <script type="text/javascript" src="lib/js/sencha-touch-all-debug.js"></script>
    <script type="text/javascript" src="lib/js/sha256.js"></script>
	<script type="text/javascript" src="lib/js/barcodescanner.js"></script>   
	<script type="text/javascript">
        document.addEventListener("deviceready", mainLaunch, false);

function mainLaunch(){
	Ext.Loader.setConfig({ enabled: true });

		name: 'MyPhoneGapApp',  
		appFolder: 'app',
		models: ['Customer','MyModel'],
		controllers: ['MainController','ProfileController']	,
I've also added the required classes at my views. Maybe I forget something but I think than I should get an error message?

Any ideas or hints would be great...